Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# ParamRearOnlyInvKinWalkingEngine Class Reference

This class is a wrapper for the InvKinWalkingEngine calling a given instance of the engine with a specific set of parameters. More...

`#include <InvKinWalkingEngine.h>`

Inheritance diagram for ParamRearOnlyInvKinWalkingEngine:

[legend]
Collaboration diagram for ParamRearOnlyInvKinWalkingEngine:

[legend]
List of all members.

## Public Member Functions
| ParamRearOnlyInvKinWalkingEngine (InvKinWalkingParameters *pParams, InvKinWalkingEngine *pEngine)
| ~ParamRearOnlyInvKinWalkingEngine ()
virtual bool | executeParameterized (JointData &jointData, const WalkRequest &walkRequest, double positionInWalkingCycle)
| Calculates the next joint data set.
bool | handleMessage (InMessage &message)
| Called from a MessageQueue to distribute messages.
## Public Attributes
InvKinWalkingEngine * | pEngine
InvKinWalkingParameters * | pParams

## Detailed Description

This class is a wrapper for the InvKinWalkingEngine calling a given instance of the engine with a specific set of parameters.

Only the hind legs are moved, every other joints are left in their current positions.

Note:
  this is useful for turning with the ball.

Author:
  Thomas Kindler

Definition at line 216 of file InvKinWalkingEngine.h.

## Constructor & Destructor Documentation

ParamRearOnlyInvKinWalkingEngine::ParamRearOnlyInvKinWalkingEngine | ( | InvKinWalkingParameters * | pParams,
|  | InvKinWalkingEngine * | pEngine
| ) | `[inline]`

| Definition at line 219 of file InvKinWalkingEngine.h.

ParamRearOnlyInvKinWalkingEngine::~ParamRearOnlyInvKinWalkingEngine | ( |  | ) | `[inline]`

| Definition at line 228 of file InvKinWalkingEngine.h.

## Member Function Documentation

virtual bool ParamRearOnlyInvKinWalkingEngine::executeParameterized | ( | JointData & | jointData,
|  | const WalkRequest & | walkRequest,
|  | double | positionInWalkingCycle
| ) | `[inline, virtual]`

  | Calculates the next joint data set. Parameters:
  jointData | stores calculated frame
  walkRequest | The current motion request
  positionInWalkingCycle | A request position for the walkcycle.
Returns: true if next set should be calculated by WalkingEngine false if change to other module can occur Implements WalkingEngine. Definition at line 236 of file InvKinWalkingEngine.h. References JointData::data, InvKinWalkingEngine::executeParameterized(), and InvKinWalkingEngine::setParameters().

Here is the call graph for this function:

bool ParamRearOnlyInvKinWalkingEngine::handleMessage | ( | InMessage & | message | ) | `[inline, virtual]`

  | Called from a MessageQueue to distribute messages. Use message.getMessageID to decide if the message is relavant for the MesssageHandler derivate. Use message.bin, message.text or message.config as In streams to get the data from. Parameters:
  message | The message that can be read.
Returns: true if the message was read (handled). Reimplemented from Module. Definition at line 257 of file InvKinWalkingEngine.h. References InMessage::bin, InMessage::getMessageID(), InvKinWalkingEngine::handleMessage(), and idInvKinWalkingParameters.

Here is the call graph for this function:

## Member Data Documentation

InvKinWalkingEngine* ParamRearOnlyInvKinWalkingEngine::pEngine

| Definition at line 233 of file InvKinWalkingEngine.h.

InvKinWalkingParameters* ParamRearOnlyInvKinWalkingEngine::pParams

| Definition at line 234 of file InvKinWalkingEngine.h.

The documentation for this class was generated from the following file:

- Modules/WalkingEngine/InvKinWalkingEngine.h